"use strict";
const utils_1 = require("./utils");
module.exports = {
    parser: '@angular-eslint/template-parser',
    plugins: ['@angular-eslint/template'],
    rules: {
        // plugin:@angular-eslint/template *****************************************
        // rules URL: https://github.com/angular-eslint/angular-eslint#status-of-codelyzer-rules-conversion
        '@angular-eslint/template/accessibility-alt-text': utils_1.WARN,
        '@angular-eslint/template/accessibility-label-for': utils_1.WARN,
        '@angular-eslint/template/accessibility-label-has-associated-control': utils_1.WARN,
        '@angular-eslint/template/banana-in-box': utils_1.WARN,
        '@angular-eslint/template/cyclomatic-complexity': utils_1.WARN,
        '@angular-eslint/template/click-events-have-key-events': utils_1.WARN,
        '@angular-eslint/template/eqeqeq': utils_1.WARN,
        '@angular-eslint/template/no-any': utils_1.WARN,
        '@angular-eslint/template/no-autofocus': utils_1.WARN,
        '@angular-eslint/template/no-call-expression': utils_1.WARN,
        '@angular-eslint/template/no-duplicate-attributes': utils_1.WARN,
        '@angular-eslint/template/no-negated-async': utils_1.WARN,
        '@angular-eslint/template/no-positive-tabindex': utils_1.WARN,
        '@angular-eslint/template/no-distracting-elements': utils_1.WARN,
        '@angular-eslint/template/accessibility-elements-content': utils_1.WARN,
        '@angular-eslint/template/i18n': (0, utils_1.OFF)(utils_1.PROJECT_BY_PROJECT),
        '@angular-eslint/template/mouse-events-have-key-events': utils_1.WARN,
        '@angular-eslint/template/accessibility-valid-aria': utils_1.WARN,
        '@angular-eslint/template/accessibility-table-scope': utils_1.WARN,
        '@angular-eslint/template/conditional-complexity': utils_1.WARN,
        '@angular-eslint/template/use-track-by-function': utils_1.WARN,
    },
};
//# sourceMappingURL=angular-template.js.map