"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['fp-ts'],
    rules: {
        // plugin:fp-ts ************************************************************
        // rules URL: https://github.com/buildo/eslint-plugin-fp-ts#list-of-supported-rules
        'fp-ts/no-lib-imports': utils_1.WARN,
        'fp-ts/no-pipeable': utils_1.WARN,
        'fp-ts/no-module-imports': [utils_1.WARN, { allowTypes: true }],
        'fp-ts/no-redundant-flow': utils_1.WARN,
        'fp-ts/prefer-traverse': utils_1.WARN,
        'fp-ts/prefer-chain': utils_1.WARN,
        'fp-ts/prefer-bimap': utils_1.WARN,
        'fp-ts/no-discarded-pure-expression': utils_1.WARN,
    },
};
//# sourceMappingURL=fp-ts.js.map