"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['ngrx'],
    rules: {
        // plugin:ngrx **************************************************************
        // rules URL: https://github.com/timdeschryver/eslint-plugin-ngrx#rules
        'ngrx/avoid-combining-selectors': utils_1.WARN,
        'ngrx/avoid-cyclic-effects': utils_1.WARN,
        'ngrx/avoid-dispatching-multiple-actions-sequentially': utils_1.WARN,
        'ngrx/avoid-duplicate-actions-in-reducer': utils_1.WARN,
        'ngrx/avoid-mapping-selectors': utils_1.WARN,
        'ngrx/good-action-hygiene': utils_1.WARN,
        'ngrx/no-dispatch-in-effects': utils_1.WARN,
        'ngrx/no-effect-decorator': utils_1.WARN,
        'ngrx/no-effect-decorator-and-creator': (0, utils_1.SUCCESSOR)('ngrx/no-effect-decorator'),
        'ngrx/no-effects-in-providers': utils_1.WARN,
        'ngrx/no-multiple-actions-in-effects': utils_1.WARN,
        'ngrx/no-multiple-global-stores': utils_1.WARN,
        'ngrx/no-reducer-in-key-names': utils_1.WARN,
        'ngrx/no-store-subscription': utils_1.WARN,
        'ngrx/no-typed-global-store': utils_1.WARN,
        'ngrx/on-function-explicit-return-type': utils_1.WARN,
        'ngrx/prefer-action-creator-in-dispatch': utils_1.WARN,
        'ngrx/prefer-action-creator-in-of-type': utils_1.WARN,
        'ngrx/prefer-action-creator': utils_1.WARN,
        'ngrx/prefer-concat-latest-from': utils_1.WARN,
        'ngrx/prefer-effect-callback-in-block-statement': utils_1.WARN,
        'ngrx/prefer-inline-action-props': utils_1.WARN,
        'ngrx/prefer-one-generic-in-create-for-feature-selector': utils_1.WARN,
        'ngrx/prefer-selector-in-select': utils_1.WARN,
        'ngrx/prefix-selectors-with-select': utils_1.WARN,
        'ngrx/select-style': utils_1.WARN,
        'ngrx/updater-explicit-return-type': utils_1.WARN,
        'ngrx/use-consistent-global-store-name': utils_1.WARN,
        'ngrx/use-effects-lifecycle-interface': utils_1.WARN,
    },
};
//# sourceMappingURL=ngrx.js.map