declare const _default: {
    env: {
        es6: boolean;
        node: boolean;
    };
    plugins: string[];
    rules: {
        'node/handle-callback-err': string;
        'node/no-callback-literal': string;
        'node/no-exports-assign': string;
        'node/no-extraneous-import': string;
        'node/no-extraneous-require': string;
        'node/no-missing-import': string;
        'node/no-missing-require': string;
        'node/no-new-require': string;
        'node/no-path-concat': string;
        'node/no-process-exit': string;
        'node/no-unpublished-bin': string;
        'node/no-unpublished-import': string;
        'node/no-unpublished-require': string;
        'node/no-unsupported-features/es-builtins': string;
        'node/no-unsupported-features/es-syntax': string;
        'node/no-unsupported-features/node-builtins': string;
        'node/process-exit-as-throw': string;
        'node/shebang': string;
        'node/no-deprecated-api': string;
        'node/callback-return': string;
        'node/exports-style': string;
        'node/file-extension-in-import': string;
        'node/global-require': string;
        'node/no-mixed-requires': string;
        'node/no-process-env': string;
        'node/no-restricted-import': (string | string[])[];
        'node/no-restricted-require': (string | string[])[];
        'node/no-sync': string;
        'node/prefer-global/buffer': string;
        'node/prefer-global/console': string;
        'node/prefer-global/process': string;
        'node/prefer-global/text-decoder': string;
        'node/prefer-global/text-encoder': string;
        'node/prefer-global/url': string;
        'node/prefer-global/url-search-params': string;
        'node/prefer-promises/dns': string;
        'node/prefer-promises/fs': string;
        'security/detect-buffer-noassert': string;
        'security/detect-child-process': string;
        'security/detect-no-csrf-before-method-override': string;
        'security/detect-non-literal-fs-filename': string;
        'unicorn/prefer-module': string;
    };
};
export = _default;
