declare const _default: {
    env: {
        browser: boolean;
        es6: boolean;
        node: boolean;
    };
    extends: string;
    plugins: string[];
    rules: {
        'no-redeclare': (string | {
            builtinGlobals: boolean;
        })[];
        'react-native/no-color-literals': string;
        'react-native/no-inline-styles': string;
        'react-native/no-raw-text': string;
        'react-native/no-single-element-style-arrays': string;
        'react-native/no-unused-styles': string;
        'react-native/sort-styles': string;
        'react-native/split-platform-components': string;
        '@typescript-eslint/no-restricted-imports': (string | {
            patterns: {
                group: string[];
                message: string;
            }[];
            paths: readonly [{
                readonly name: "lodash";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "lodash-es";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "fp-ts";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "styled-components";
                readonly message: "Styled components has a large type checking cost.";
            }];
        })[];
    };
};
export = _default;
