declare const _default: {
    plugins: string[];
    rules: {
        'rxjs/ban-observables': string;
        'rxjs/ban-operators': string;
        'rxjs/finnish': (string | {
            functions: boolean;
            methods: boolean;
            names: {
                '^(canActivate|canActivateChild|canDeactivate|canLoad|intercept|resolve|validate)$': boolean;
            };
            parameters: boolean;
            properties: boolean;
            types: {
                '^EventEmitter$': boolean;
            };
            variables: boolean;
        })[];
        'rxjs/just': string;
        'rxjs/macro': string;
        'rxjs/no-async-subscribe': string;
        'rxjs/no-compat': string;
        'rxjs/no-connectable': string;
        'rxjs/no-create': string;
        'rxjs/no-cyclic-action': string;
        'rxjs/no-explicit-generics': string;
        'rxjs/no-exposed-subjects': string;
        'rxjs/no-finnish': string;
        'rxjs/no-ignored-error': string;
        'rxjs/no-ignored-notifier': string;
        'rxjs/no-ignored-observable': string;
        'rxjs/no-ignored-replay-buffer': string;
        'rxjs/no-ignored-subscribe': string;
        'rxjs/no-ignored-subscription': string;
        'rxjs/no-ignored-takewhile-value': string;
        'rxjs/no-implicit-any-catch': string;
        'rxjs/no-index': string;
        'rxjs/no-internal': string;
        'rxjs/no-nested-subscribe': string;
        'rxjs/no-redundant-notify': string;
        'rxjs/no-sharereplay': (string | {
            allowConfig: boolean;
        })[];
        'rxjs/no-subclass': string;
        'rxjs/no-subject-unsubscribe': string;
        'rxjs/no-subject-value': string;
        'rxjs/no-topromise': string;
        'rxjs/no-unbound-methods': string;
        'rxjs/no-unsafe-catch': string;
        'rxjs/no-unsafe-first': string;
        'rxjs/no-unsafe-subject-next': string;
        'rxjs/no-unsafe-switchmap': string;
        'rxjs/no-unsafe-takeuntil': string;
        'rxjs/prefer-observer': string;
        'rxjs/suffix-subjects': string;
        'rxjs/throw-error': string;
    };
};
export = _default;
