"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeProjectConfiguration = void 0;
const devkit_1 = require("@nrwl/devkit");
const merge_deep_util_1 = require("./merge-deep.util");
const mergeProjectConfiguration = (tree, projectName, configuration) => {
    const existingConfiguration = (0, devkit_1.readProjectConfiguration)(tree, projectName);
    const mergedConfiguration = (0, merge_deep_util_1.mergeDeep)(existingConfiguration, configuration);
    (0, devkit_1.updateProjectConfiguration)(tree, projectName, mergedConfiguration);
};
exports.mergeProjectConfiguration = mergeProjectConfiguration;
//# sourceMappingURL=merge-project-configuration.util.js.map