"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['storybook'],
    rules: {
        // plugin:import ***********************************************************
        // rules URL: https://github.com/benmosher/eslint-plugin-import#rules
        'import/no-anonymous-default-export': (0, utils_1.OFF)('Stories are referenced from default exports'),
        // plugin:storybook ********************************************************
        // rules URL: https://github.com/storybookjs/eslint-plugin-storybook#supported-rules-and-configurations
        'storybook/await-interactions': utils_1.WARN,
        'storybook/context-in-play-function': utils_1.WARN,
        'storybook/csf-component': utils_1.WARN,
        'storybook/default-exports': utils_1.WARN,
        'storybook/hierarchy-separator': utils_1.WARN,
        'storybook/no-redundant-story-name': utils_1.WARN,
        'storybook/no-stories-of': utils_1.WARN,
        'storybook/no-title-property-in-meta': utils_1.WARN,
        'storybook/prefer-pascal-case': utils_1.WARN,
        'storybook/story-exports': utils_1.WARN,
        'storybook/use-storybook-expect': utils_1.WARN,
        'storybook/use-storybook-testing-library': utils_1.WARN,
    },
};
//# sourceMappingURL=storybook.js.map