declare const _default: {
    env: {
        browser: boolean;
        es6: boolean;
    };
    parser: string;
    parserOptions: {
        ecmaVersion: number;
        sourceType: string;
    };
    plugins: string[];
    rules: {
        '@angular-eslint/contextual-decorator': string;
        '@angular-eslint/component-class-suffix': (string | {
            suffixes: string[];
        })[];
        '@angular-eslint/component-max-inline-declarations': string;
        '@angular-eslint/component-selector': string;
        '@angular-eslint/contextual-lifecycle': string;
        '@angular-eslint/directive-class-suffix': string;
        '@angular-eslint/directive-selector': string;
        '@angular-eslint/no-attribute-decorator': string;
        '@angular-eslint/no-conflicting-lifecycle': string;
        '@angular-eslint/no-empty-lifecycle-method': string;
        '@angular-eslint/no-forward-ref': string;
        '@angular-eslint/no-host-metadata-property': string;
        '@angular-eslint/no-input-prefix': string;
        '@angular-eslint/no-input-rename': string;
        '@angular-eslint/no-inputs-metadata-property': string;
        '@angular-eslint/no-lifecycle-call': string;
        '@angular-eslint/no-output-native': string;
        '@angular-eslint/no-output-on-prefix': string;
        '@angular-eslint/no-output-rename': string;
        '@angular-eslint/no-outputs-metadata-property': string;
        '@angular-eslint/no-pipe-impure': string;
        '@angular-eslint/no-queries-metadata-property': string;
        '@angular-eslint/pipe-prefix': string;
        '@angular-eslint/prefer-on-push-component-change-detection': string;
        '@angular-eslint/prefer-output-readonly': string;
        '@angular-eslint/relative-url-prefix': string;
        '@angular-eslint/sort-ngmodule-metadata-arrays': string;
        '@angular-eslint/use-component-selector': string;
        '@angular-eslint/use-component-view-encapsulation': string;
        '@angular-eslint/use-injectable-provided-in': (string | {
            ignoreClassNamePattern: string;
        })[];
        '@angular-eslint/use-lifecycle-interface': string;
        '@angular-eslint/use-pipe-transform-interface': string;
    };
    overrides: {
        files: string[];
        rules: {
            '@typescript-eslint/promise-function-async': (string | {
                checkArrowFunctions: boolean;
            })[];
        };
    }[];
};
export = _default;
