declare const _default: {
    env: {
        es6: boolean;
    };
    parserOptions: {
        ecmaVersion: number;
        ecmaFeatures: {
            impliedStrict: boolean;
        };
    };
    plugins: string[];
    rules: {
        'no-duplicate-imports': string;
        'sort-imports': (string | {
            ignoreDeclarationSort: boolean;
        })[];
        '@typescript-eslint/no-duplicate-imports': string;
        'import/first': string;
        'import/newline-after-import': string;
        'import/no-duplicates': string;
        'import/no-import-module-exports': string;
        'import/no-relative-packages': string;
        'import/order': (string | {
            alphabetize: {
                order: string;
                caseInsensitive: boolean;
            };
            groups: (string | string[])[];
            'newlines-between': string;
            pathGroups: {
                group: string;
                pattern: string;
                position: string;
            }[];
            pathGroupsExcludedImportTypes: string[];
        })[];
        'sort-export-all/sort-export-all': string;
    };
};
export = _default;
