"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['json'],
    rules: {
        // plugin:json *************************************************************
        // rules URL: https://github.com/azeemba/eslint-plugin-json#individual-rules
        'json/undefined': utils_1.WARN,
        'json/enum-value-mismatch': utils_1.WARN,
        'json/unexpected-end-of-comment': utils_1.WARN,
        'json/unexpected-end-of-string': utils_1.WARN,
        'json/unexpected-end-of-number': utils_1.WARN,
        'json/invalid-unicode': utils_1.WARN,
        'json/invalid-escape-character': utils_1.WARN,
        'json/invalid-character': utils_1.WARN,
        'json/property-expected': utils_1.WARN,
        'json/comma-expected': utils_1.WARN,
        'json/colon-expected': utils_1.WARN,
        'json/value-expected': utils_1.WARN,
        'json/comma-or-close-backet-expected': utils_1.WARN,
        'json/comma-or-close-brace-expected': utils_1.WARN,
        'json/trailing-comma': utils_1.WARN,
        'json/duplicate-key': utils_1.WARN,
        'json/comment-not-permitted': utils_1.WARN,
        'json/schema-resolve-error': utils_1.WARN,
    },
};
//# sourceMappingURL=json.js.map