declare const _default: {
    plugins: string[];
    rules: {
        'lodash/callback-binding': string;
        'lodash/chain-style': string[];
        'lodash/chaining': string[];
        'lodash/collection-method-value': string;
        'lodash/collection-ordering': (string | {
            method: string;
            useArray: string;
        })[];
        'lodash/collection-return': string;
        'lodash/consistent-compose': string;
        'lodash/identity-shorthand': string;
        'lodash/import-scope': string[];
        'lodash/matches-prop-shorthand': string;
        'lodash/matches-shorthand': string;
        'lodash/no-commit': string;
        'lodash/no-double-unwrap': string;
        'lodash/no-extra-args': string;
        'lodash/no-unbound-this': string;
        'lodash/path-style': string;
        'lodash/prefer-compact': string;
        'lodash/prefer-constant': string;
        'lodash/prefer-filter': string;
        'lodash/prefer-find': string;
        'lodash/prefer-flat-map': string;
        'lodash/prefer-get': string;
        'lodash/prefer-immutable-method': string;
        'lodash/prefer-includes': string;
        'lodash/prefer-invoke-map': string;
        'lodash/prefer-is-nil': string;
        'lodash/prefer-lodash-chain': string;
        'lodash/prefer-lodash-method': string;
        'lodash/prefer-lodash-typecheck': string;
        'lodash/prefer-map': string;
        'lodash/prefer-matches': string;
        'lodash/prefer-noop': string;
        'lodash/prefer-over-quantifier': string;
        'lodash/prefer-reject': string;
        'lodash/prefer-some': string;
        'lodash/prefer-startswith': string;
        'lodash/prefer-thru': string;
        'lodash/prefer-times': string;
        'lodash/prefer-wrapper-method': string;
        'lodash/preferred-alias': string;
        'lodash/prop-shorthand': string;
        'lodash/unwrap': string;
    };
};
export = _default;
