declare const _default: {
    parserOptions: {
        sourceType: string;
    };
    rules: {
        'no-undef': string;
        'no-unused-expressions': string;
        'no-unused-vars': string;
        '@typescript-eslint/dot-notation': string;
        '@typescript-eslint/no-implied-eval': string;
        '@typescript-eslint/no-throw-literal': string;
        '@typescript-eslint/require-await': string;
        '@typescript-eslint/return-await': string;
        '@typescript-eslint/await-thenable': string;
        '@typescript-eslint/no-base-to-string': string;
        '@typescript-eslint/no-floating-promises': string;
        '@typescript-eslint/no-misused-promises': string;
        '@typescript-eslint/no-unnecessary-boolean-literal-compare': string;
        '@typescript-eslint/no-unnecessary-condition': string;
        '@typescript-eslint/no-unnecessary-qualifier': string;
        '@typescript-eslint/no-unnecessary-type-arguments': string;
        '@typescript-eslint/no-unnecessary-type-assertion': string;
        '@typescript-eslint/prefer-includes': string;
        '@typescript-eslint/prefer-nullish-coalescing': string;
        '@typescript-eslint/prefer-readonly': string;
        '@typescript-eslint/prefer-readonly-parameter-types': string;
        '@typescript-eslint/prefer-reduce-type-parameter': string;
        '@typescript-eslint/prefer-regexp-exec': string;
        '@typescript-eslint/prefer-string-starts-ends-with': string;
        '@typescript-eslint/promise-function-async': string;
        '@typescript-eslint/require-array-sort-compare': string;
        '@typescript-eslint/restrict-plus-operands': string;
        '@typescript-eslint/strict-boolean-expressions': string;
        '@typescript-eslint/switch-exhaustiveness-check': string;
        '@typescript-eslint/unbound-method': string;
        'unicorn/filename-case': string;
    };
};
export = _default;
