"use strict";
const utils_1 = require("./utils");
module.exports = {
    rules: {
        // plugin:rxjs **************************************************************
        // rules URL: https://github.com/cartant/eslint-plugin-rxjs
        'rxjs/finnish': (0, utils_1.BUGGY)('eslint-plugin-rxjs@3.3.7', 'False positives on nativescript code observables'),
        // plugin:unicorn **********************************************************
        // rules URL: https://github.com/sindresorhus/eslint-plugin-unicorn#rules
        'unicorn/prefer-module': (0, utils_1.OFF)('Nativescript requires module.id for relative templates and stylesheets in angular'),
    },
};
//# sourceMappingURL=nativescript.js.map